Bug 798375 - hardware data shown can be incorrect
hardware data shown can be incorrect
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
1.7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
:
Depends On:
Blocks: space17
  Show dependency treegraph
 
Reported: 2012-02-28 13:35 EST by Joshua Roys
Modified: 2012-03-07 05:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 03:52:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PATCH: fix PCI device name translation (1.47 KB, patch)
2012-02-28 13:39 EST, Joshua Roys
no flags Details | Diff
query script for gudev (1.08 KB, text/plain)
2012-03-01 11:45 EST, Miroslav Suchý
no flags Details

  None (edit)
Description Joshua Roys 2012-02-28 13:35:44 EST
Description of problem:
projects/python-hwdata/hwdata.py adds subvendor info to the top-level "devices" cache of the pci.ids file (line 120-132).  An entry under the VIA PCI ID 1106, device ID 3059 contains multiple subvendor/subdevice IDs.  One of these is 10ec:8168, the same as the vendor:device ID of a "RTL8111/8168B PCI Express Gigabit Ethernet controller" (Realtek gigabit ethernet).

Version-Release number of selected component (if applicable):
git HEAD

How reproducible:
find a machine with the mentioned realtek device (running el6/f13+ for gudev), check hw on spacewalk, see incorrect hw: 'Realtek Semiconductor Co., Ltd.|High Definition Audio'.  Alternatively, `python /usr/share/rhn/up2date_client/hardware.py` prints out a list of what would get sent to spacewalk.  Diff from before and after the following patch:
153c153
< 'desc' : 'Realtek Semiconductor Co., Ltd.|High Definition Audio'
---
> 'desc' : 'Realtek Semiconductor Co., Ltd.|RTL8111/8168B PCI Express Gigabit Ethernet controller'
175c175
< 'desc' : 'Realtek Semiconductor Co., Ltd.|High Definition Audio'
---
> 'desc' : 'Realtek Semiconductor Co., Ltd.|RTL8111/8168B PCI Express Gigabit Ethernet controller'

Additional info:
I suggest just dropping the subvendor/subdevice info from the loaded information.  Patch will follow shortly.
Comment 1 Joshua Roys 2012-02-28 13:39:15 EST
Created attachment 566376 [details]
PATCH: fix PCI device name translation
Comment 2 Miroslav Suchý 2012-02-29 04:10:43 EST
Joshua, can you please attach output of:
lspci
lspci -n

I think that the problem is hwdata database as it has duplicate entry:
$ grep '10ec 8168' /usr/share/hwdata/pci.ids
                10ec 8168  TEG-ECTX Gigabit PCI-E Adapter [Trendnet]
                10ec 8168  High Definition Audio

I contacted hwdata maintainers to clarify this.
Comment 3 Joshua Roys 2012-02-29 08:29:39 EST
The structure of that file is a little odd: the vendor ID is in the first column, the device IDs are below that line with 1 tab indent, then subvendor:subdevice IDs follow that line at 2 tabs indent.  That grep pulled subvendor:subdevice IDs.  To find the realtek device, you need to find the Realtek vendor ID (10ec) and then find the gigabit interface under that w/device ID 8168.  Try:
$ grep -A 1000 10ec /usr/share/hwdata/pci.ids | grep '^[[:space:]]8168'
	8168  RTL8111/8168B PCI Express Gigabit Ethernet controller

# lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation 4 Series Chipset DRAM Controller [8086:2e20] (rev 03)
00:01.0 PCI bridge [0604]: Intel Corporation 4 Series Chipset PCI Express Root Port [8086:2e21] (rev 03)
00:1a.0 USB controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #4 [8086:3a37]
00:1a.1 USB controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #5 [8086:3a38]
00:1a.2 USB controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #6 [8086:3a39]
00:1a.7 USB controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #2 [8086:3a3c]
00:1b.0 Audio device [0403]: Intel Corporation 82801JI (ICH10 Family) HD Audio Controller [8086:3a3e]
00:1c.0 PCI bridge [0604]: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 1 [8086:3a40]
00:1c.3 PCI bridge [0604]: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 4 [8086:3a46]
00:1c.4 PCI bridge [0604]: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 5 [8086:3a48]
00:1c.5 PCI bridge [0604]: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 6 [8086:3a4a]
00:1d.0 USB controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #1 [8086:3a34]
00:1d.1 USB controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #2 [8086:3a35]
00:1d.2 USB controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #3 [8086:3a36]
00:1d.7 USB controller [0c03]: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #1 [8086:3a3a]
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev 90)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801JIR (ICH10R) LPC Interface Controller [8086:3a16]
00:1f.2 SATA controller [0106]: Intel Corporation 82801JI (ICH10 Family) SATA AHCI Controller [8086:3a22]
00:1f.3 SMBus [0c05]: Intel Corporation 82801JI (ICH10 Family) SMBus Controller [8086:3a30]
01:00.0 VGA compatible controller [0300]: nVidia Corporation G98 [GeForce 8400 GS] [10de:06e4] (rev a1)
03:00.0 SATA controller [0106]: JMicron Technology Corp. JMB362/JMB363 Serial ATA Controller [197b:2363] (rev 02)
03:00.1 IDE interface [0101]: JMicron Technology Corp. JMB362/JMB363 Serial ATA Controller [197b:2363] (rev 02)
04:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 02)
05:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 02)
06:07.0 FireWire (IEEE 1394) [0c00]: Texas Instruments TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link) [104c:8024]
Comment 4 Miroslav Suchý 2012-03-01 11:45:16 EST
Created attachment 566886 [details]
query script for gudev

Can you please run this script for me Joshua? And paste the output here?
Comment 5 Joshua Roys 2012-03-01 12:35:41 EST
GUDEV VERSION: 147.1
subsystem pci
devtype None
name 0000:00:00.0
number 0
sysfs_path: /sys/devices/pci0000:00/0000:00:00.0
driver: None
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:00.0
   device property SUBSYSTEM: pci
   device property PCI_CLASS: 60000
   device property PCI_ID: 8086:2E20
   device property PCI_SUBSYS_ID: 1458:5000
   device property PCI_SLOT_NAME: 0000:00:00.0
   device property MODALIAS: pci:v00008086d00002E20sv00001458sd00005000bc06sc00i00
subsystem pci
devtype None
name 0000:00:01.0
number 0
sysfs_path: /sys/devices/pci0000:00/0000:00:01.0
driver: pcieport
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:01.0
   device property SUBSYSTEM: pci
   device property DRIVER: pcieport
   device property PCI_CLASS: 60400
   device property PCI_ID: 8086:2E21
   device property PCI_SUBSYS_ID: 0000:0000
   device property PCI_SLOT_NAME: 0000:00:01.0
   device property MODALIAS: pci:v00008086d00002E21sv00000000sd00000000bc06sc04i00
subsystem pci
devtype None
name 0000:01:00.0
number 0
sysfs_path: /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0
driver: nouveau
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:01.0/0000:01:00.0
   device property SUBSYSTEM: pci
   device property DRIVER: nouveau
   device property PCI_CLASS: 30000
   device property PCI_ID: 10DE:06E4
   device property PCI_SUBSYS_ID: 1043:8321
   device property PCI_SLOT_NAME: 0000:01:00.0
   device property MODALIAS: pci:v000010DEd000006E4sv00001043sd00008321bc03sc00i00
subsystem pci
devtype None
name 0000:00:1a.0
number 0
sysfs_path: /sys/devices/pci0000:00/0000:00:1a.0
driver: uhci_hcd
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1a.0
   device property SUBSYSTEM: pci
   device property DRIVER: uhci_hcd
   device property PCI_CLASS: C0300
   device property PCI_ID: 8086:3A37
   device property PCI_SUBSYS_ID: 1458:5004
   device property PCI_SLOT_NAME: 0000:00:1a.0
   device property MODALIAS: pci:v00008086d00003A37sv00001458sd00005004bc0Csc03i00
subsystem pci
devtype None
name 0000:00:1a.1
number 1
sysfs_path: /sys/devices/pci0000:00/0000:00:1a.1
driver: uhci_hcd
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1a.1
   device property SUBSYSTEM: pci
   device property DRIVER: uhci_hcd
   device property PCI_CLASS: C0300
   device property PCI_ID: 8086:3A38
   device property PCI_SUBSYS_ID: 1458:5004
   device property PCI_SLOT_NAME: 0000:00:1a.1
   device property MODALIAS: pci:v00008086d00003A38sv00001458sd00005004bc0Csc03i00
subsystem pci
devtype None
name 0000:00:1a.2
number 2
sysfs_path: /sys/devices/pci0000:00/0000:00:1a.2
driver: uhci_hcd
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1a.2
   device property SUBSYSTEM: pci
   device property DRIVER: uhci_hcd
   device property PCI_CLASS: C0300
   device property PCI_ID: 8086:3A39
   device property PCI_SUBSYS_ID: 1458:5004
   device property PCI_SLOT_NAME: 0000:00:1a.2
   device property MODALIAS: pci:v00008086d00003A39sv00001458sd00005004bc0Csc03i00
subsystem pci
devtype None
name 0000:00:1a.7
number 7
sysfs_path: /sys/devices/pci0000:00/0000:00:1a.7
driver: ehci_hcd
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1a.7
   device property SUBSYSTEM: pci
   device property DRIVER: ehci_hcd
   device property PCI_CLASS: C0320
   device property PCI_ID: 8086:3A3C
   device property PCI_SUBSYS_ID: 1458:5006
   device property PCI_SLOT_NAME: 0000:00:1a.7
   device property MODALIAS: pci:v00008086d00003A3Csv00001458sd00005006bc0Csc03i20
subsystem pci
devtype None
name 0000:00:1b.0
number 0
sysfs_path: /sys/devices/pci0000:00/0000:00:1b.0
driver: HDA Intel
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1b.0
   device property SUBSYSTEM: pci
   device property DRIVER: HDA Intel
   device property PCI_CLASS: 40300
   device property PCI_ID: 8086:3A3E
   device property PCI_SUBSYS_ID: 1458:A102
   device property PCI_SLOT_NAME: 0000:00:1b.0
   device property MODALIAS: pci:v00008086d00003A3Esv00001458sd0000A102bc04sc03i00
subsystem pci
devtype None
name 0000:00:1c.0
number 0
sysfs_path: /sys/devices/pci0000:00/0000:00:1c.0
driver: pcieport
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1c.0
   device property SUBSYSTEM: pci
   device property DRIVER: pcieport
   device property PCI_CLASS: 60400
   device property PCI_ID: 8086:3A40
   device property PCI_SUBSYS_ID: 0000:0000
   device property PCI_SLOT_NAME: 0000:00:1c.0
   device property MODALIAS: pci:v00008086d00003A40sv00000000sd00000000bc06sc04i00
subsystem pci
devtype None
name 0000:00:1c.3
number 3
sysfs_path: /sys/devices/pci0000:00/0000:00:1c.3
driver: pcieport
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1c.3
   device property SUBSYSTEM: pci
   device property DRIVER: pcieport
   device property PCI_CLASS: 60400
   device property PCI_ID: 8086:3A46
   device property PCI_SUBSYS_ID: 0000:0000
   device property PCI_SLOT_NAME: 0000:00:1c.3
   device property MODALIAS: pci:v00008086d00003A46sv00000000sd00000000bc06sc04i00
subsystem pci
devtype None
name 0000:03:00.0
number 0
sysfs_path: /sys/devices/pci0000:00/0000:00:1c.3/0000:03:00.0
driver: ahci
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS, ID_VENDOR_FROM_DATABASE, ID_MODEL_FROM_DATABASE
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1c.3/0000:03:00.0
   device property SUBSYSTEM: pci
   device property DRIVER: ahci
   device property PCI_CLASS: 10601
   device property PCI_ID: 197B:2363
   device property PCI_SUBSYS_ID: 1458:B000
   device property PCI_SLOT_NAME: 0000:03:00.0
   device property MODALIAS: pci:v0000197Bd00002363sv00001458sd0000B000bc01sc06i01
   device property ID_VENDOR_FROM_DATABASE: JMicron Technology Corp.
   device property ID_MODEL_FROM_DATABASE: JMB362/JMB363 Serial ATA Controller
subsystem pci
devtype None
name 0000:03:00.1
number 1
sysfs_path: /sys/devices/pci0000:00/0000:00:1c.3/0000:03:00.1
driver: pata_jmicron
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS, ID_VENDOR_FROM_DATABASE, ID_MODEL_FROM_DATABASE
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1c.3/0000:03:00.1
   device property SUBSYSTEM: pci
   device property DRIVER: pata_jmicron
   device property PCI_CLASS: 10185
   device property PCI_ID: 197B:2363
   device property PCI_SUBSYS_ID: 1458:B000
   device property PCI_SLOT_NAME: 0000:03:00.1
   device property MODALIAS: pci:v0000197Bd00002363sv00001458sd0000B000bc01sc01i85
   device property ID_VENDOR_FROM_DATABASE: JMicron Technology Corp.
   device property ID_MODEL_FROM_DATABASE: JMB362/JMB363 Serial ATA Controller
subsystem pci
devtype None
name 0000:00:1c.4
number 4
sysfs_path: /sys/devices/pci0000:00/0000:00:1c.4
driver: pcieport
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1c.4
   device property SUBSYSTEM: pci
   device property DRIVER: pcieport
   device property PCI_CLASS: 60400
   device property PCI_ID: 8086:3A48
   device property PCI_SUBSYS_ID: 0000:0000
   device property PCI_SLOT_NAME: 0000:00:1c.4
   device property MODALIAS: pci:v00008086d00003A48sv00000000sd00000000bc06sc04i00
subsystem pci
devtype None
name 0000:04:00.0
number 0
sysfs_path: /sys/devices/pci0000:00/0000:00:1c.4/0000:04:00.0
driver: r8169
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1c.4/0000:04:00.0
   device property SUBSYSTEM: pci
   device property DRIVER: r8169
   device property PCI_CLASS: 20000
   device property PCI_ID: 10EC:8168
   device property PCI_SUBSYS_ID: 1458:E000
   device property PCI_SLOT_NAME: 0000:04:00.0
   device property MODALIAS: pci:v000010ECd00008168sv00001458sd0000E000bc02sc00i00
subsystem pci
devtype None
name 0000:00:1c.5
number 5
sysfs_path: /sys/devices/pci0000:00/0000:00:1c.5
driver: pcieport
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1c.5
   device property SUBSYSTEM: pci
   device property DRIVER: pcieport
   device property PCI_CLASS: 60400
   device property PCI_ID: 8086:3A4A
   device property PCI_SUBSYS_ID: 0000:0000
   device property PCI_SLOT_NAME: 0000:00:1c.5
   device property MODALIAS: pci:v00008086d00003A4Asv00000000sd00000000bc06sc04i00
subsystem pci
devtype None
name 0000:05:00.0
number 0
sysfs_path: /sys/devices/pci0000:00/0000:00:1c.5/0000:05:00.0
driver: r8169
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1c.5/0000:05:00.0
   device property SUBSYSTEM: pci
   device property DRIVER: r8169
   device property PCI_CLASS: 20000
   device property PCI_ID: 10EC:8168
   device property PCI_SUBSYS_ID: 1458:E000
   device property PCI_SLOT_NAME: 0000:05:00.0
   device property MODALIAS: pci:v000010ECd00008168sv00001458sd0000E000bc02sc00i00
subsystem pci
devtype None
name 0000:00:1d.0
number 0
sysfs_path: /sys/devices/pci0000:00/0000:00:1d.0
driver: uhci_hcd
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1d.0
   device property SUBSYSTEM: pci
   device property DRIVER: uhci_hcd
   device property PCI_CLASS: C0300
   device property PCI_ID: 8086:3A34
   device property PCI_SUBSYS_ID: 1458:5004
   device property PCI_SLOT_NAME: 0000:00:1d.0
   device property MODALIAS: pci:v00008086d00003A34sv00001458sd00005004bc0Csc03i00
subsystem pci
devtype None
name 0000:00:1d.1
number 1
sysfs_path: /sys/devices/pci0000:00/0000:00:1d.1
driver: uhci_hcd
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1d.1
   device property SUBSYSTEM: pci
   device property DRIVER: uhci_hcd
   device property PCI_CLASS: C0300
   device property PCI_ID: 8086:3A35
   device property PCI_SUBSYS_ID: 1458:5004
   device property PCI_SLOT_NAME: 0000:00:1d.1
   device property MODALIAS: pci:v00008086d00003A35sv00001458sd00005004bc0Csc03i00
subsystem pci
devtype None
name 0000:00:1d.2
number 2
sysfs_path: /sys/devices/pci0000:00/0000:00:1d.2
driver: uhci_hcd
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1d.2
   device property SUBSYSTEM: pci
   device property DRIVER: uhci_hcd
   device property PCI_CLASS: C0300
   device property PCI_ID: 8086:3A36
   device property PCI_SUBSYS_ID: 1458:5004
   device property PCI_SLOT_NAME: 0000:00:1d.2
   device property MODALIAS: pci:v00008086d00003A36sv00001458sd00005004bc0Csc03i00
subsystem pci
devtype None
name 0000:00:1d.7
number 7
sysfs_path: /sys/devices/pci0000:00/0000:00:1d.7
driver: ehci_hcd
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1d.7
   device property SUBSYSTEM: pci
   device property DRIVER: ehci_hcd
   device property PCI_CLASS: C0320
   device property PCI_ID: 8086:3A3A
   device property PCI_SUBSYS_ID: 1458:5006
   device property PCI_SLOT_NAME: 0000:00:1d.7
   device property MODALIAS: pci:v00008086d00003A3Asv00001458sd00005006bc0Csc03i20
subsystem pci
devtype None
name 0000:00:1e.0
number 0
sysfs_path: /sys/devices/pci0000:00/0000:00:1e.0
driver: None
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1e.0
   device property SUBSYSTEM: pci
   device property PCI_CLASS: 60401
   device property PCI_ID: 8086:244E
   device property PCI_SUBSYS_ID: 0000:0000
   device property PCI_SLOT_NAME: 0000:00:1e.0
   device property MODALIAS: pci:v00008086d0000244Esv00000000sd00000000bc06sc04i01
subsystem pci
devtype None
name 0000:06:07.0
number 0
sysfs_path: /sys/devices/pci0000:00/0000:00:1e.0/0000:06:07.0
driver: firewire_ohci
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1e.0/0000:06:07.0
   device property SUBSYSTEM: pci
   device property DRIVER: firewire_ohci
   device property PCI_CLASS: C0010
   device property PCI_ID: 104C:8024
   device property PCI_SUBSYS_ID: 1458:1000
   device property PCI_SLOT_NAME: 0000:06:07.0
   device property MODALIAS: pci:v0000104Cd00008024sv00001458sd00001000bc0Csc00i10
subsystem pci
devtype None
name 0000:00:1f.0
number 0
sysfs_path: /sys/devices/pci0000:00/0000:00:1f.0
driver: None
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1f.0
   device property SUBSYSTEM: pci
   device property PCI_CLASS: 60100
   device property PCI_ID: 8086:3A16
   device property PCI_SUBSYS_ID: 1458:5001
   device property PCI_SLOT_NAME: 0000:00:1f.0
   device property MODALIAS: pci:v00008086d00003A16sv00001458sd00005001bc06sc01i00
subsystem pci
devtype None
name 0000:00:1f.2
number 2
sysfs_path: /sys/devices/pci0000:00/0000:00:1f.2
driver: ahci
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS, ID_VENDOR_FROM_DATABASE, ID_MODEL_FROM_DATABASE
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1f.2
   device property SUBSYSTEM: pci
   device property DRIVER: ahci
   device property PCI_CLASS: 10601
   device property PCI_ID: 8086:3A22
   device property PCI_SUBSYS_ID: 1458:B005
   device property PCI_SLOT_NAME: 0000:00:1f.2
   device property MODALIAS: pci:v00008086d00003A22sv00001458sd0000B005bc01sc06i01
   device property ID_VENDOR_FROM_DATABASE: Intel Corporation
   device property ID_MODEL_FROM_DATABASE: 82801JI (ICH10 Family) SATA AHCI Controller
subsystem pci
devtype None
name 0000:00:1f.3
number 3
sysfs_path: /sys/devices/pci0000:00/0000:00:1f.3
driver: i801_smbus
action: None
seqnum: 0
device type: <enum G_UDEV_DEVICE_TYPE_NONE of type GUdevDeviceType>
device number: 0
device file: None
device file symlinks: 
device keys: UDEV_LOG, DEVPATH, SUBSYSTEM, DRIVER, PCI_CLASS, PCI_ID, PCI_SUBSYS_ID, PCI_SLOT_NAME, MODALIAS
   device property UDEV_LOG: 3
   device property DEVPATH: /devices/pci0000:00/0000:00:1f.3
   device property SUBSYSTEM: pci
   device property DRIVER: i801_smbus
   device property PCI_CLASS: C0500
   device property PCI_ID: 8086:3A30
   device property PCI_SUBSYS_ID: 1458:5001
   device property PCI_SLOT_NAME: 0000:00:1f.3
   device property MODALIAS: pci:v00008086d00003A30sv00001458sd00005001bc0Csc05i00
Comment 6 Miroslav Suchý 2012-03-02 11:44:18 EST
I find the good explanation at:
http://en.wikipedia.org/wiki/PCI_configuration_space#Standardized_registers

I tried to use pcilibs, but it was pain. Additionally we would be unable to run it on s390x where pciutils do not work.

So I just accepted that yours patch as probably best solution.

commited as 4a48bc3e83b5a3bda7ef575421df43abe965be8a thanks.
Comment 7 Miroslav Suchý 2012-03-06 03:52:56 EST
New version has been submitted to epel and all versions of fedora. Should be in updates-testing right now. And should land in updates in few weeks.
Comment 8 Jan Pazdziora 2012-03-07 05:00:11 EST
Spacewalk 1.7 has been released:

https://fedorahosted.org/spacewalk/wiki/ReleaseNotes17

Note You need to log in before you can comment on or make changes to this bug.